VULKAN_HPP_NAMESPACE::Offset2D Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| Offset2D (int32_t x_=0, int32_t y_=0)
| Offset2D (VkOffset2D const &rhs)
Offset2D & | operator= (VkOffset2D const &rhs)
Offset2D & | setX (int32_t x_)
Offset2D & | setY (int32_t y_)
| operator VkOffset2D const & () const
| operator VkOffset2D & ()
bool | operator== (Offset2D const &rhs) const
bool | operator!= (Offset2D const &rhs) const

## Data Fields

int32_t | x
int32_t | y

## Detailed Description

Definition at line 5092 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Offset2D() [1/2]

VULKAN_HPP_NAMESPACE::Offset2D::Offset2D | ( | int32_t | x_ = `0`,
|  | int32_t | y_ = `0`
| ) |  |

inline

Definition at line 5094 of file vulkan.hpp.

: x( x_ )
, y( y_ )
{
}

## Offset2D() [2/2]

VULKAN_HPP_NAMESPACE::Offset2D::Offset2D | ( | VkOffset2D const & | rhs | ) |

inline

Definition at line 5101 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Offset2D ) );
}

References memcpy.

## Member Function Documentation

## operator VkOffset2D &()

VULKAN_HPP_NAMESPACE::Offset2D::operator VkOffset2D & | ( |  | ) |

inline

Definition at line 5128 of file vulkan.hpp.

{
return *reinterpret_cast<VkOffset2D*>(this);
}

## operator VkOffset2D const &()

VULKAN_HPP_NAMESPACE::Offset2D::operator VkOffset2D const & | ( |  | ) | const

inline

Definition at line 5123 of file vulkan.hpp.

{
return *reinterpret_cast<const VkOffset2D*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::Offset2D::operator!= | ( | Offset2D const & | rhs | ) | const

inline

Definition at line 5139 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

Offset2D& VULKAN_HPP_NAMESPACE::Offset2D::operator= | ( | VkOffset2D const & | rhs | ) |

inline

Definition at line 5106 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Offset2D ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::Offset2D::operator== | ( | Offset2D const & | rhs | ) | const

inline

Definition at line 5133 of file vulkan.hpp.

{
return ( x == rhs.x )
&& ( y == rhs.y );
}

References x, and y.

Referenced by operator!=().

## setX()

Offset2D& VULKAN_HPP_NAMESPACE::Offset2D::setX | ( | int32_t | x_ | ) |

inline

Definition at line 5111 of file vulkan.hpp.

{
x = x_;
return *this;
}

## setY()

Offset2D& VULKAN_HPP_NAMESPACE::Offset2D::setY | ( | int32_t | y_ | ) |

inline

Definition at line 5117 of file vulkan.hpp.

{
y = y_;
return *this;
}

## Field Documentation

## x

int32_t VULKAN_HPP_NAMESPACE::Offset2D::x

Definition at line 5144 of file vulkan.hpp.

Referenced by operator==().

## y

int32_t VULKAN_HPP_NAMESPACE::Offset2D::y

Definition at line 5145 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkOffset2D
Definition: vulkan_core.h:2354
VULKAN_HPP_NAMESPACE::Offset2D::Offset2D
Offset2D(int32_t x_=0, int32_t y_=0)
Definition: vulkan.hpp:5094
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::Offset2D::y
int32_t y
Definition: vulkan.hpp:5145
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::Offset2D::x
int32_t x
Definition: vulkan.hpp:5144
VULKAN_HPP_NAMESPACE::Offset2D::operator==
bool operator==(Offset2D const &rhs) const
Definition: vulkan.hpp:5133
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1574